Bug 448380 - Wrong capget/capset version 2 usage. Possible memory corruption.
Wrong capget/capset version 2 usage. Possible memory corruption.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 07:08 EDT by Anton Guda
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 08:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
try to user new capget/capset interface. (2.12 KB, patch)
2008-05-26 07:08 EDT, Anton Guda
no flags Details | Diff

  None (edit)
Description Anton Guda 2008-05-26 07:08:06 EDT
Description of problem:
Squid uses getcap/setcap kernel interface, but don't
check version. New kernels uses array[2] of structures to
stora data. Squid uses old interface style. This may
(really detected) lead to memory corruption.


Version-Release number of selected component (if applicable):
squid-3.0.STABLE6
kernel >= 2.6.25.



How reproducible:
Often.


Steps to Reproduce:
1. Run squid under valgrind or ef.
2. Sometimes it crashes without this tools.


  
Actual results:
Crash or tool warning.



Expected results:
Corrert usage of new interface.


Additional info:
Patch is ready.
Obsoletes not-so-correct squid-3.0.STABLE5-bad_allocation patch.
May be use libcap for this?
Comment 1 Anton Guda 2008-05-26 07:08:06 EDT
Created attachment 306657 [details]
try to user new capget/capset interface.
Comment 2 Martin Nagy 2008-05-26 07:39:58 EDT
Just moments before this bug report was filed, I changed the patch to the
upstream one, see http://www.squid-cache.org/bugs/show_bug.cgi?id=2350
If you think that even this one is wrong, please try to send it to the upstream
bugzilla. Thanks.
Comment 3 Anton Guda 2008-05-27 08:52:22 EDT
It seems, that both patches solves the problem.

Note You need to log in before you can comment on or make changes to this bug.